Page MenuHomePhabricator

Add a conduit API for phrequent
Closed, ResolvedPublic

Description

I noticed that phrequent does not have a conduit API call. One of the features I want most is time tracking from console.

I am working on adding it myself. I will send a patch when I am finished. Is it okay if I assign this task for myself? I am assuming it's only a matter of time before the conduit API is added.

Event Timeline

skyronic created this task.Oct 16 2013, 9:40 AM
skyronic updated the task description. (Show Details)
skyronic raised the priority of this task from to Needs Triage.
skyronic added a project: Phrequent.
skyronic edited this Maniphest Task.Oct 16 2013, 12:30 PM
skyronic edited this Maniphest Task.Oct 16 2013, 12:33 PM

@epriestley, I was away for a while, but I would like to get back to updating this. But I notice that PhrequentTrackController::startTracking still has the same implementation.

Shall I do the following:

  1. Extract the methods to start/stop tracking as public (static?) methods into another/new class. (which class should this be?)
  2. Use this common functionality for both TrackController and the conduit APIs?

Once I update with the new conduit APIs, I will be able to update the arcanist tasks as per your suggestions as well.

The most consistent approach would be to create an "Editor" class (PhrequentTrackingEditor or similar), have it extend PhabricatorEditor, and move the logic there. Moving that logic somewhere shared sounds good to me in general. If putting it in a Editor is messy, a static method is fine too and at least centralizes the logic somewhere and gets us one step closer to having a real Editor.

Is somebody still working on this?

epriestley triaged this task as Wishlist priority.Apr 24 2014, 1:12 PM

No one is currently working on this, Phrequent is a very low priority. See T4778 for some discussion of scheduling.

btrahan edited this Maniphest Task.May 22 2014, 9:05 PM
epriestley closed this task as Resolved.Aug 25 2014, 2:21 AM
epriestley claimed this task.

We now support arc start, arc stop, arc time, and these are implemented with new API calls.